package com.qmth.jkserver.enums;

/**
 	类型
 * @author tianjun
 *
 */
public enum ProgressType {

	LOCAL("本地导入", 0), REMOTE("监考端提交", 1);

    private String name;

    private int id;

    private ProgressType(String name, int id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public int getId() {
        return id;
    }

    public static ProgressType findById(int id) {
        for (ProgressType status : ProgressType.values()) {
            if (status.id == id) {
                return status;
            }
        }
        return null;
    }

}
